Subject: Re: cygwin snap 20030223 hangs with bleadperl
From: "H.Merijn Brand" <[email-masked]>
To: [email-masked]
Cc: Nick Ing-Simmons <[email-masked]>, Perl 5 Porters <[email-masked]>
Date: Wed, 05 Mar 2003 08:46:10 +0100

On Wed 05 Mar 2003 04:54, Christopher Faylor <[email-masked]> wrote:
> On Tue, Mar 04, 2003 at 10:23:14AM -0500, Igor Pechtchanski wrote:
> >On Tue, 4 Mar 2003, H.Merijn Brand wrote:
> >
> >> On Tue 04 Mar 2003 06:01, Christopher Faylor <[email-masked]> wrote:
> >> > On Wed, Feb 26, 2003@03:20:02PM +0100, H.Merijn Brand wrote:
> >> > >On Tue 25 Feb 2003 14:15, "H.Merijn Brand" <[email-masked]> wrote:
> >> > >> ../ext/IO/lib/IO/t/io_udp..............ok
> >> > >> ../ext/IO/lib/IO/t/io_unix.............ok 1/5
> >> > >>
> >> > >> 20030220 still OK
> >> > >
> >> > >20030225 also hangs
> >> > >
> >> > >(Note that I'm still not on the list)
> >> >
> >> > Is it better now?
> >> >
> >> > cgf
> >>
> >> Yep.
> >>
> >> CYGWIN_NT-5.0 PC09 1.3.21s(0.77/3/2) 20030302 23:00:55 i686 unknown unknown Cygwin
> >>
> >> Completed the smoke. I was discussing a longstanding Cygwin issue yesterday
> >> with some other smokers and we all agreed that there is still a glitch in
> >> cygwin that /we/ think cygwin is to blame for.
> >>
> >> Running the complete test from the prompt completes without error, but when
> >> started from a script in the background, there are still messages that get a
> >> <CR> added and unexpectedly yield <CR><NL> instead of plain <NL>, causing
> >> these tests to fail: Expected Foo<NL>, got Foo<CR><NL>
> >>
> >> $CYGWIN is "tty ntsec binary"
> >                        ^^^^^^
> >Umm, there is no such setting in the CYGWIN environment variable.  Perhaps
> >you meant to say "binmode"?
> ><http://cygwin.com/cygwin-ug-net/using-cygwinenv.html>
> 
> Shouldn't matter binmode is the default.  I suspect that there is a non-cygwin
> application lurking in the mix somewhere?

Maybe, but I huess it's the base IO layer. I hope Nick has some additional
comment here

> If it's a perl script, then maybe something is explcitly setting binmode(0).

PC09:/P/perl-current/t 517 $ env PERLIO="" !!
env PERLIO="" TEST ../lib/Test/Harness/t/strap-analyze.t
t/../lib/Test/Harness/t/strap-analyze....ok
All tests successful.
u=0.07  s=0.04  cu=0.92  cs=0.92  scripts=1  tests=83
<RLIO="" TEST ../lib/Test/Harness/t/strap-analyze.t
<RLIO="" TEST ../lib/Test/Harness/t/strap-analyze.t
t/../lib/Test/Harness/t/strap-analyze....ok
All tests successful.
u=0.08  s=0.06  cu=0.97  cs=0.93  scripts=1  tests=83
PC09:/P/perl-current/t 519 $ !!
env PERLIO="" TEST ../lib/Test/Harness/t/strap-analyze.t
t/../lib/Test/Harness/t/strap-analyze....ok
All tests successful.
u=0.07  s=0.05  cu=0.92  cs=0.98  scripts=1  tests=83
PC09:/P/perl-current/t 520 $ ^""^stdio
env PERLIO=stdio TEST ../lib/Test/Harness/t/strap-analyze.t
t/../lib/Test/Harness/t/strap-analyze....#     Failed test (../lib/Test/Harness/
t/strap-analyze.t at line 467)
#     Structures begin differing at:
'          $got->[0]{name} = '- -T honored
#     $expected->[0]{name} = '- -T honored'
FAILED at test 2
Failed 1 test script out of 1, 0.00% okay.
### Since not all tests were successful, you may want to run some of
### them individually and examine any diagnostic messages they produce.
### See the INSTALL document's section on "make test".
### You may have to set your dynamic library search path,
### PATH, to point to the build directory:
###   setenv PATH `pwd`:$PATH; cd t; ./perl harness
###   PATH=`pwd`:$PATH; export PATH; cd t; ./perl harness
###   export PATH=`pwd`:$PATH; cd t; ./perl harness
### for csh-style shells, like tcsh; or for traditional/modern
### Bourne-style shells, like bash, ksh, and zsh, respectively.
u=0.07  s=0.08  cu=0.26  cs=0.15  scripts=1  tests=83
PC09:/P/perl-current/t 521 $ ^stdio^perlio
env PERLIO=perlio TEST ../lib/Test/Harness/t/strap-analyze.t
t/../lib/Test/Harness/t/strap-analyze....#     Failed test (../lib/Test/Harness/
t/strap-analyze.t at line 467)
#     Structures begin differing at:
'          $got->[0]{name} = '- -T honored
#     $expected->[0]{name} = '- -T honored'
FAILED at test 2
Failed 1 test script out of 1, 0.00% okay.
### Since not all tests were successful, you may want to run some of
### them individually and examine any diagnostic messages they produce.
### See the INSTALL document's section on "make test".
### You may have to set your dynamic library search path,
### PATH, to point to the build directory:
###   setenv PATH `pwd`:$PATH; cd t; ./perl harness
###   PATH=`pwd`:$PATH; export PATH; cd t; ./perl harness
###   export PATH=`pwd`:$PATH; cd t; ./perl harness
### for csh-style shells, like tcsh; or for traditional/modern
### Bourne-style shells, like bash, ksh, and zsh, respectively.
u=0.08  s=0.06  cu=0.31  cs=0.15  scripts=1  tests=83
PC09:/P/perl-current/t 522 $ ^perlio^"stdio :crlf"
env PERLIO="stdio :crlf" TEST ../lib/Test/Harness/t/strap-analyze.t
t/../lib/Test/Harness/t/strap-analyze....ok
All tests successful.
u=0.07  s=0.07  cu=0.88  cs=1.01  scripts=1  tests=83
PC09:/P/perl-current/t 523 $ ^stdio^perlio
env PERLIO="perlio :crlf" TEST ../lib/Test/Harness/t/strap-analyze.t
t/../lib/Test/Harness/t/strap-analyze....ok
All tests successful.
u=0.09  s=0.05  cu=0.96  cs=0.87  scripts=1  tests=83
PC09:/P/perl-current/t 524 $

-- 
H.Merijn Brand        Amsterdam Perl Mongers (http://amsterdam.pm.org/)
using perl-5.6.1, 5.8.0 & 633 on HP-UX 10.20 & 11.00, AIX 4.2, AIX 4.3,
  WinNT 4, Win2K pro & WinCE 2.11.  Smoking perl CORE: [email-masked]
http://archives.develooper.com/[email-masked]/   [email-masked]
send smoke reports to: [email-masked], QA: http://qa.perl.org

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/